---
name: Bug report
about: Create a report to help us improve
title: ''
labels: 'bug'
assignees: ''

---

:rotating_light: First, please check:
 - existing issues,
 - Docs https://docs.objectbox.io/
 - Troubleshooting page https://docs.objectbox.io/troubleshooting
 - FAQ page https://docs.objectbox.io/faq

**Describe the bug**
A clear and concise description in English of what the bug is.

**Basic info (please complete the following information):**
 - ObjectBox version (are you using the latest version?): [e.g. 2.7.0]
 - Reproducibility: [e.g. occurred once only | occasionally without visible pattern | always]
 - Device: [e.g. Galaxy S20]
 - OS: [e.g. Android 10]

**To Reproduce**
Steps to reproduce the behavior:
1. Put '...'
2. Make changes to '....'
3. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Code**
If applicable, add code to help explain your problem.
 - Include affected entity classes.
 - Please remove any unnecessary or confidential parts.
 - At best, link to or attach a project with a failing test.

**Logs, stack traces**
If applicable, add relevant logs, or a stack trace.
 - For __build issues__, use `--stacktrace` for the Gradle build (`./gradlew build --stacktrace`).
 - For __runtime errors__, check Android's Logcat (also check logs before the issue!).

**Additional context**
Add any other context about the problem here.
 - Is there anything special about your app?
 - May transactions or multi-threading play a role?
 - Did you find any workarounds to prevent the issue?
